## mwic 0.7.6

=== debian/changelog ===
mwic (0.7.6-1) unstable; urgency=medium

  [ Georg Faerber ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version to 4.2.1, no changes needed.
    - Add dh-python to Build-Depends. (Closes: #902638)

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*
  * d/control: Remove ancient X-Python3-Version field

 -- Georg Faerber <georg@riseup.net>  Tue, 02 Oct 2018 08:15:18 +0000

mwic (0.7.4-1) unstable; urgency=medium

  * Initial release. (Closes: #849327)

 -- Georg Faerber <georg@riseup.net>  Wed, 21 Mar 2018 10:51:25 +0100
