=== debian/control ===
Source: mwic
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Georg Faerber <georg@riseup.net>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3,
 python3-docutils,
 python3-enchant,
 python3-nose,
 python3-regex,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
Homepage: https://jwilk.net/software/mwic
Rules-Requires-Root: no

Package: mwic
Architecture: all
Depends:
 python3,
 python3-enchant,
 python3-regex,
 ${misc:Depends},
 ${python3:Depends},
Description: spell-checker to find misspellings and to show their contexts
 mwic, misspelled words in context, is a spell-checker that groups possible
 misspellings and shows them in their contexts. This is useful for checking
 technical documents that often contain words that are not included in standard
 dictionaries.
