## mwic 0.7.7

=== debian/changelog ===
mwic (0.7.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:14:00 +0800

mwic (0.7.7-1) unstable; urgency=medium

  * New upstream release:
    - Fixes manual page reproducibility issue. (Closes: #910114)
  * Switch from debian/compat to debhelper-compat build dependency.

 -- Georg Faerber <georg@riseup.net>  Thu, 15 Nov 2018 09:30:44 +0000
