=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_build:
	dh_clean doc/mwic.1 tests/coverage
	$(MAKE) -C doc
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_clean:
	dh_clean doc/mwic.1 tests/coverage
