## mwic 0.7.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -19,34 +19,42 @@
 # SOFTWARE.
 
 PYTHON = python3
-INSTALL = $(if $(shell command -v ginstall;),ginstall,install)
 
 PREFIX = /usr/local
 DESTDIR =
 
-exe = mwic
-
 bindir = $(PREFIX)/bin
-basedir = $(PREFIX)/share/$(exe)
+basedir = $(PREFIX)/share/mwic
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
 all: ;
 
+python_exe = $(shell $(PYTHON) -c 'import sys; print(sys.executable)')
+
 .PHONY: install
-install:
-	# binary:
-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
-	sed -e "s#^basedir = .*#basedir = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
-	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
+install: mwic
+	$(PYTHON) - < lib/__init__.py  # Python version check
+	# executable:
+	install -d $(DESTDIR)$(bindir)
+	sed \
+		-e "1 s@^#!.*@#!$(python_exe)@" \
+		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
+		$(<) > $(<).tmp
+	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
+	rm $(<).tmp
 	# library + data:
-	( find lib dict -type f ! -name '*.py[co]' ) \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard doc/$(exe).1)" ""
+	install -d $(DESTDIR)$(basedir)/dict
+	install -p -m644 dict/* $(DESTDIR)$(basedir)/dict/
+	install -d $(DESTDIR)$(basedir)/lib
+	install -p -m644 lib/*.py $(DESTDIR)$(basedir)/lib/
+	umask 022 && $(PYTHON) -m compileall -q -d $(basedir)/lib $(DESTDIR)$(basedir)/lib
+ifeq "$(wildcard doc/*.1)" ""
 	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
-	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	install -d $(DESTDIR)$(mandir)/man1
+	install -p -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/
 endif
 
 .PHONY: test
@@ -58,6 +66,7 @@
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
 	rm -f .coverage
+	rm -f *.tmp
 
 .error = GNU make is required
