=== debian/changelog ===
mwic (0.7.8-1) unstable; urgency=medium

  [ Georg Faerber ]
  * New upstream version 0.7.8. (Closes: #951142)
  * d/control:
    - Use my debian.org mail address.
  * d/u/signing-key.asc:
    - Use minimal key export, remove useless signatures to make lintian happy.

  [ Christian Göttsche ]
  * d/control:
    - Bump Standards-Version to 4.5.0, no changes required.
    - Move to debhelper compat level 12.
    - Add dependency on hunspell-en-gb to fix current FTBFS situation.
      (Closes: #946288, #951926)
  * d/rules:
    - Fail on not-installed files.
  * d/salsa-ci.yml:
    - Add standard salsa-ci configuration.

 -- Georg Faerber <georg@debian.org>  Thu, 09 Apr 2020 19:57:20 +0000
