=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Georg Faerber <georg@riseup.net>,
+ Georg Faerber <georg@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3,
  python3-docutils,
  python3-enchant,
  python3-nose,
  python3-regex,
-Standards-Version: 4.2.1
+# needed for unit tests targeting en-GB
+ hunspell-en-gb
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
 Homepage: https://jwilk.net/software/mwic
