=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_clean:
 	dh_clean doc/mwic.1 tests/coverage
+
+override_dh_missing:
+	dh_missing --fail-missing
