=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/jwilk/mwic/releases \
.*/mwic-(\d\S*)\.tar\.gz
