## mwic 0.7.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2022 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -59,12 +59,13 @@
 
 .PHONY: test
 test:
-	$(PYTHON) tests/run-tests --verbose
+	$(PYTHON) -bb -m pytest -v
 
 .PHONY: clean
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -rf .pytest_cache
 	rm -f .coverage
 	rm -f *.tmp
