=== debian/changelog ===
mwic (0.7.10-3) unstable; urgency=medium

  * QA upload.
  * debian/test/control: Really fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 11:17:35 -0500

mwic (0.7.10-2) unstable; urgency=medium

  * Team upload.
  * debian/test/control: Update test commands to fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 09:16:38 -0500

mwic (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/*.lintian-overrides: Removed, not needed.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Update build-dependency to use python3-pytest.
    - Drop usage of python3-nose, no longer needed. (Closes: #1018416)

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Mar 2024 21:52:40 -0500

mwic (0.7.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 01:07:08 -0400
