=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: mwic
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Georg Faerber <georg@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3,
  python3-docutils,
  python3-enchant,
- python3-nose,
+ python3-pytest <!nocheck>,
  python3-regex,
 # needed for unit tests targeting en-GB
  hunspell-en-gb
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/python-team/packages/mwic.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mwic
 Homepage: https://jwilk.net/software/mwic
 Rules-Requires-Root: no
