=== debian/tests/control ===
Test-Command: mwic --version && mwic --debug-dict --lang en-US && mwic --debug-dict --lang en-GB && make test
Depends: @, python3-enchant, python3-pytest, python3-regex, hunspell-en-gb, make
Restrictions: allow-stderr
