=== debian/watch ===
version=4
opts="searchmode=plain,gpgmode=auto" \
 https://api.github.com/repos/jwilk/mwic/releases?per_page=100 \
 https://github.com/jwilk/mwic/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
